<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="com.example.administrator.demo.MainActivity">



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center"
            android:padding="10dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="Serial port 1(ttyMT1)/RS485"
                android:textSize="25sp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:layout_marginTop="3dp"
                android:layout_marginBottom="3dp"
                android:background="#a2a2a2"/>

            <Button
                android:id="@+id/send1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Send serial data"
                android:textColor="@android:color/black"
                android:textSize="25sp"/>

            <TextView
                android:id="@+id/textView"
                android:ellipsize="start"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:maxLines="10"
                android:hint="Serial port received data"
                android:textColor="@android:color/black"
                android:textSize="25sp"/>

        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center"
            android:layout_marginTop="5dp"
            android:padding="10dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Serial port 2(ttyMT0)"
                android:gravity="center_horizontal"
                android:textSize="25sp"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:layout_marginTop="3dp"
                android:layout_marginBottom="3dp"
                android:background="#a2a2a2"/>

            <Button
                android:id="@+id/send3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Send serial data"
                android:textColor="@android:color/black"
                android:textSize="25sp"/>

            <TextView
                android:id="@+id/get3"
                android:ellipsize="start"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:maxLines="10"
                android:hint="Serial port received data"
                android:textColor="@android:color/black"
                android:textSize="25sp"/>
        </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="horizontal"
        android:gravity="center_horizontal"
        android:padding="5dp">
            <Button
                android:id="@+id/hideNavBar"
                android:layout_width="0dp"
                android:layout_weight=".50"
                android:layout_height="wrap_content"
                android:text="HIDE NAVIGATION BAR"
                android:textColor="@android:color/black"
                android:textSize="25sp"
                android:padding="10dp"/>
            <Button
                android:id="@+id/showNavBar"
                android:layout_width="0dp"
                android:layout_weight=".50"
                android:layout_height="wrap_content"
                android:text="SHOW NAVIGATION BAR"
                android:textColor="@android:color/black"
                android:textSize="25sp"
                android:padding="10dp"/>
        </LinearLayout>

</LinearLayout>
